/* This is "circum.c", written to accompany Introduction to
   Scientific Programming by Joseph L. Zachary. */

/* This program finds the circumference of the earth using the method
   of Eratosthenes described in Chapter 3 of the text. */


#include <stdio.h>


/* We obtain the angle in degrees of the sun at Alexandria at noon on
   the summer solstice and the distance from Alexandria to Syene in
   stadia.  We then use Equation 3.3 to determine and then report the
   circumference of the earth in kilometers.  We assume there are
   .1575 kilometers in a stade. */

void main (void)
{

  double angle,    /* Angle at Alexandria in degrees. */
         distance, /* Distance from Alexandria to Syene in stadia. */
          circ;    /* Calculated circumference of the earth in km. */

  printf("Enter angle at Alexandria (degrees): ");
  scanf("%lf", &angle);
  
  printf("Enter distance to Syene (stadia): ");
  scanf("%lf", &distance);

  circ = (360/angle) * distance * 0.1575;

  printf("The earth's circumference is %g km\n", circ);
}
