(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Times New Roman", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Times New Roman", 14, L0, center, nohscroll, bold;
	fontset = section, "Times New Roman", 14, L0, bold, grayBox;
	fontset = subsection, "Times New Roman", 12, L0, bold, blackBox;
	fontset = subsubsection, "Times New Roman", 10, L0, bold, whiteBox;
	fontset = text, "Times New Roman", 12, L0;
	fontset = smalltext, "Times New Roman", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65535;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Times New Roman", 10, L0, nohscroll, italic, B65535;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Times New Roman", 10, L0, nohscroll;
	fontset = clipboard, "Times New Roman", 12, L0, nohscroll;
	fontset = completions, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Times New Roman", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Times New Roman", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = subsection; inactive; ]
This notebook contains the Mathematica commands from Chapter 15 of 
Introduction to Scientific Programming by Joseph L. Zachary.
:[font = text; inactive; ]

(15.3)  This formula gives the cross section of the corrugated steel sheet 
discussed in Chapter 15.
:[font = input; nowordwrap; ]
f = 10 * Sin[Pi*x/10]^2
:[font = text; inactive; ]

(15.4)  This is the first derivative of the formula from (15.3).
:[font = input; nowordwrap; ]
fprime = D[f, x]
:[font = text; inactive; ]

(15.11)  The "Integrate" function will evaluate indefinite integrals.
:[font = input; nowordwrap; ]
Integrate[Sin[x]+2, x]
:[font = text; inactive; ]

(15.12)  It will also evaluate definite integrals, if a range is associated 
with the variable of integration.
:[font = input; nowordwrap; ]
Integrate[Sin[x]+2, {x, 0.0, 8.0}]
:[font = text; inactive; ]

(15.13)  The "Integrate" function works symbolically, and it will sometimes 
fail to evaluate an integral, as in this case. 
:[font = input; nowordwrap; ]
Integrate[Sqrt[1 + fprime^2], {x, 0, 10}]
:[font = text; inactive; ]

(15.14)  "NIntegrate" uses a numerical technique to evaluate definite 
integrals.
:[font = input; nowordwrap; ]
NIntegrate[Sqrt[1 + fprime^2], {x, 0, 10}]
:[font = text; inactive; ]

(15.15)  We load the "Integ" package.
:[font = input; nowordwrap; ]
Needs["ISP`Integ`"]
:[font = text; inactive; ]

(15.16)  This is a simple function to integrate.
:[font = input; nowordwrap; ]
g[x_] := Sin[x] + 2
:[font = text; inactive; ]

(15.17)  We animate the convergence of the rectangular method as it deals with
 the function sin(x)+2 between 0 and 8.  It generates 5 frames.  In the first 
frame 2 rectangles are used, and in each subsequent frame the number of 
rectrangles doubles.
:[font = input; nowordwrap; ]
AnimateRectangular[g, 0, 8, 5]
:[font = text; inactive; ]

(15.23)  We animate the convergence of the trapezoidal method as it deals with
 the function sin(x)+2 between 0 and 8.  It generates 5 frames.  In the first 
frame 2 trapezoids are used, and in each subsequent frame the number of 
trapezoids doubles. 
:[font = input; nowordwrap; ]
AnimateTrapezoidal[g, 0, 8, 5]
^*)