(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Times New Roman", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Times New Roman", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Times New Roman", 14, L0, center, nohscroll, bold;
	fontset = section, "Times New Roman", 14, L0, bold, grayBox;
	fontset = subsection, "Times New Roman", 12, L0, bold, blackBox;
	fontset = subsubsection, "Times New Roman", 10, L0, bold, whiteBox;
	fontset = text, "Times New Roman", 12, L0;
	fontset = smalltext, "Times New Roman", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65535;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Times New Roman", 10, L0, nohscroll, italic, B65535;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Times New Roman", 10, L0, nohscroll;
	fontset = clipboard, "Times New Roman", 12, L0, nohscroll;
	fontset = completions, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Times New Roman", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Times New Roman", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Times New Roman", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = subsection; inactive; ]
This notebook contains the Mathematica commands from Chapter 6 of Introduction
 to Scientific Programming by Joseph L. Zachary.
:[font = text; inactive; ]

(6.1)  Let's calculate the effect of 6% simple interest over a period of three
 years.  In the beginning we have a balance of $1000.
:[font = input; nowordwrap; ]
year0 = 1000.
:[font = text; inactive; ]

(6.2)  After a year passes we have 6% more than the previous year.
:[font = input; nowordwrap; ]
year1 = year0 + year0 * .06
:[font = text; inactive; ]

(6.3)  After another year passes we have 6% more than the previous year.
:[font = input; nowordwrap; ]
year2 = year1 + year1 * .06
:[font = text; inactive; ]

(6.4)  After a third year passes we have 6% more than the previous year.
:[font = input; nowordwrap; ]
year3 = year2 + year2 * .06
:[font = text; inactive; ]

(6.5)  Let's repeat (6.1) through (6.4) using symbols instead of numbers.  In 
the beginning we have a balance of $p.
:[font = input; nowordwrap; ]
year0 = p
:[font = text; inactive; ]

(6.6)  After a year passes we have a factor of r more than the previous year.
:[font = input; nowordwrap; ]
year1 = year0 + year0 * r
:[font = text; inactive; ]

(6.7)  After another year passes we have a factor of r more than the previous 
year.
:[font = input; nowordwrap; ]
year2 = year1 + year1 * r
:[font = text; inactive; ]

(6.8)  After a third year passes we have a factor of r more than the previous 
year.
:[font = input; nowordwrap; ]
year3 = year2 + year2 * r
:[font = text; inactive; ]

(6.9)  Let's do some algebraic manipulations on the exprssion from (6.8) to 
try and discover a pattern.  We can "expand" it, which distributes products 
over sums.
:[font = input; nowordwrap; ]
Expand[year3]
:[font = text; inactive; ]

(6.10)  We can also "factor" it.  This looks promising.
:[font = input; nowordwrap; ]
Factor[year3]
:[font = text; inactive; ]

(6.11)  Let's follow this up by factoring "year2".  This appears to confirm 
the pattern.
:[font = input; nowordwrap; ]
Factor[year2]
:[font = text; inactive; ]

(6.12)  Let's factor the balance that would exist after four years.
:[font = input; nowordwrap; ]
Factor[year3 + year3 * r]
:[font = text; inactive; ]

(6.14)  Based on the pattern that we uncovered in (6.10) through (6.12), let's
 create a programmer-defined function "simple".  It takes an initial balance
"p", an interest rate "r", and a number of years "n", and returns the balance 
after "n" years.
:[font = input; nowordwrap; ]
simple[p_, r_, n_] := p * (r+1)^n
:[font = text; inactive; ]

(6.15)  We can use "simple" to calculate the balance that will result by 
investing $1000 at 6% interest for 500 years ...
:[font = input; nowordwrap; ]
simple[1000, .06, 500]
:[font = text; inactive; ]

(6.16)  ... and the balance that will result by investing $B at 10% interest 
for 8 years.
:[font = input; nowordwrap; ]
simple[B, .10, 8]
:[font = text; inactive; ]

We record the population of the United States on January 1, 1994.
:[font = input; nowordwrap; ]
jan94 = 259167000.
:[font = text; inactive; ]

And on January 1, 1995.
:[font = input; nowordwrap; ]
jan95 = 261638000.
:[font = text; inactive; ]

(6.17)  If the population of the United States were growing according to a 
simple interest model, "simpleGrowth" would be the annual interest rate at 
which it grew in 1994.
:[font = input; nowordwrap; ]
simpleGrowth = (jan95 - jan94) / jan94
:[font = text; inactive; ]

(6.18)  By applying the simple interest model to the population growth of the 
United States, we can project the population on January 1, 2000.
:[font = input; nowordwrap; ]
simple[jan94, simpleGrowth, 6]
:[font = text; inactive; ]

(6.19)  We can use the simple interest model to calculate compound interest.  
Here we calculate the result of investing $1000 at 6% annual interest, 
compounded daily, for a period of one year.
:[font = input; nowordwrap; ]
simple[1000., .06/365, 365]
:[font = text; inactive; ]

(6.20)  Here we repeat (6.19) symbolically.  We calculate the result of 
investing $p at r% annual interest, compounded daily, for a period of one 
year.
:[font = input; nowordwrap; ]
simple[p, r/365, 365]
:[font = text; inactive; ]

(6.21)  We continue to generalize.  Here, we calculate the result of investing
 $p at r% annual interest, compounded daily, for a period of "n" years.
:[font = input; nowordwrap; ]
simple[p, r/365, 365*n]
:[font = text; inactive; ]

(6.22)  Finally, we calculate the result of investing $p at r% annual 
interest, compounded "m" times per year, for a period of "n" years.  This 
gives us a general expression for compound interest. 
:[font = input; nowordwrap; ]
simple[p, r/m, m*n]
:[font = text; inactive; ]

(6.23)  We convert the expression from (6.22) into a "compound" function.  It 
takes as parameters an initial balance "p", an interest rate "r", a period of 
years "n", and the number of compounding intervals per year "m".  It returns 
the result of investing $p at r% annual interest, compounded "m" times per 
year, for "n" years.
:[font = input; nowordwrap; ]
compound[p_,r_,n_,m_] := p * (1 + r/m)^(m*n)
:[font = text; inactive; ]

(6.24)  We use "compound" to calculate the result of investing $1000 at 6% 
annual interest, compounded daily, for 500 years.
:[font = input; nowordwrap; ]
compound[1000, .06, 500, 365]
:[font = text; inactive; ]

(6.26)  We use "Solve" to find find the simple interest rate "r" that 
corresponds to a 6% investment compounded daily.
:[font = input; nowordwrap; ]
Solve[simple[p, r, 1] == compound[p, .06, 1, 365], r]
:[font = text; inactive; ]

(6.27)  We try to use "Solve" to find an interest rate "r" that we can use to 
model the growth of the population of the United States in 1994, under the 
assumption that the growth occurs daily.  Unfortunately, "Solve" is unable to 
solve the 365th-degree polynomial equation.
:[font = input; nowordwrap; ]
Solve[jan95 == compound[jan94, r, 1, 365], r]
:[font = text; inactive; ]

(6.30)  We can rearrange the equation from (6.27) into a form with one root 
root that "Solve" can find.
:[font = input; nowordwrap; ]
Solve[1 + r/365 == (jan95/jan94)^(1/365), r]
:[font = text; inactive; ]

(6.32)  We find the limit of a compound interest investment as the number of 
compounding intervals tends to infinity.  This is the continuous interest 
formula.
:[font = input; nowordwrap; ]
Limit[compound[p, r, n, m], m->Infinity]
:[font = text; inactive; ]

(6.33)  We use the expression from (6.30) to create a function called "
continuous".  It takes as parameters an initial balance "p", an interest rate 
"r", and a number of years "n", and returns the balance that will result from 
investing $p at r% continuous interest for "n" years.
:[font = input; nowordwrap; ]
continuous[p_,r_,n_] := p*Exp[n*r]
:[font = text; inactive; ]

(6.34)  We use "solve" to find the continuous interest rate "r" that will 
allow us to model the growth of the population of the United States during 
1994 as a problem in continuous interest.
:[font = input; nowordwrap; ]
Solve[jan95 == continuous[jan94,r,1], r]
:[font = text; inactive; ]

(6.35)  We save the value for "r" found in (6.34) in the variable "
continuousGrowth".
:[font = input; nowordwrap; ]
continuousGrowth = 0.00948923
:[font = text; inactive; ]

(6.36)  We use the result of (6.34) to create a function "dailyPop" that takes
 "days" as its parameter.  It returns the population of the United States "
days" days after January 1, 1994, assuming that the population grows according
 to the continuous interest model.  Notice that this function is defined in 
terms of another programmer-defined function, "continuous".
:[font = input; nowordwrap; ]
dailyPop[days_] := continuous[jan94, continuousGrowth, days/365.]
:[font = text; inactive; ]

(6.37)  We use "dailyPop" to project the population of the United States at 
midnight on February 1, 1994.
:[font = input; nowordwrap; ]
dailyPop[31]
:[font = text; inactive; ]

(6.38)  We use "dailyPop" to project the population of the United States at 6:
00 am on February 1, 1994.
:[font = input; nowordwrap; ]
dailyPop[31.25]
:[font = text; inactive; ]

(6.39)  We use "InputForm" to look at all of the digits of the solution we 
originally round in (6.34).
:[font = input; nowordwrap; ]
InputForm[Solve[jan95 == continuous[jan94,r,1], r]]
:[font = text; inactive; ]

(6.40)  We use "dailyPop" to project the population of the United States at 
midnight on January 3, 1994.
:[font = input; nowordwrap; ]
dailyPop[2]
:[font = text; inactive; ]

(6.41)  This is how we would have to do the calculation from (6.36) if we 
hadn't defined the "dailyPop" function.
:[font = input; nowordwrap; ]
259167000 * Exp[2/365 * .00948923]
:[font = text; inactive; ]

(6.42)  Once a variable has been given a value via assignment, it cannot be 
used as a symbolic constant.
:[font = input; nowordwrap; ]
Solve[simpleGrowth^2 == 5, simpleGrowth]
:[font = text; inactive; ]

(6.43)  We can "unassign" a variable by using "Clear".
:[font = input; nowordwrap; ]
Clear[simpleGrowth]
:[font = text; inactive; ]

(6.44)  Once a variable has been "unassigned", it can be used as a symbolic 
constant once again.
:[font = input; nowordwrap; ]
Solve[simpleGrowth^2 == 5, simpleGrowth]
:[font = text; inactive; ]

(6.46)  An example of the use of the "Sum" function.
:[font = input; nowordwrap; ]
Sum[n^2, {n,1,100}]
:[font = text; inactive; ]

(6.47)  An example of using the "Sum" function to compute a sum over an 
infinite number of terms.
:[font = input; nowordwrap; ]
Sum[1/2^n, {n,1,Infinity}]

^*)